import { VisualforceComponentOptions } from '../utils/types';
import { BaseGenerator } from './baseGenerator';
export default class VisualforceComponentGenerator extends BaseGenerator<VisualforceComponentOptions> {
    validateOptions(): void;
    generate(): Promise<void>;
}
